Name: rustup-init
Version:  1.27.1
Release:  2%{?dist}
Summary: Rustup: the Rust toolchain installer

License: MPL-2.0
Source0: https://static.rust-lang.org/rustup/archive/%{version}/%{_arch}-unknown-linux-gnu/rustup-init

%description
Rustup installs The Rust Programming Language from the official release channels, enabling you to easily switch between stable, beta, and nightly compilers and keep them updated. It makes cross-compiling simpler with binary builds of the standard library for common platforms.

%install
rm -vrf $RPM_BUILD_ROOT
mkdir -vp $RPM_BUILD_ROOT/%{_bindir}
cp -v $RPM_SOURCE_DIR/%{name} $RPM_BUILD_ROOT/%{_bindir}
chmod +x $RPM_BUILD_ROOT/%{_bindir}/%{name}

%files
%{_bindir}/%{name}

%changelog
* Fri Sep 27 2024 Matt A. Tobin <email@mattatobin.com>
- Chmod rustup-init
* Fri Sep 27 2024 Matt A. Tobin <email@mattatobin.com>
- Inital creation
